Bug 850439 - Guide me should be disabled for local DC -> local cluster
Guide me should be disabled for local DC -> local cluster
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexey Chub
Jiri Belka
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 11:17 EDT by Doron Fediuck
Modified: 2016-02-10 14:35 EST (History)
10 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Guide-me dialog of an existing local cluster. (34.72 KB, image/png)
2012-08-21 11:17 EDT, Doron Fediuck
no flags Details

  None (edit)
Description Doron Fediuck 2012-08-21 11:17:02 EDT
Created attachment 605965 [details]
Guide-me dialog of an existing local cluster.

Description of problem:
Once you configure a local cluster, the guide-me button has no point,
since nothing can be done in this dialog.

Version-Release number of selected component (if applicable):
3.1 si 15

How reproducible:
Use the guide me on a configured local cluster.
See the attached.

Steps to Reproduce:
1. Have an existing local cluster that belongs to a local DC.
2. Push the guide me button for this cluster.
  
Actual results:
See everything disabled, and a meaningless "configure later" button to exit the dialog.

Expected results:
This dialog should not be accessible in this case.

Additional info:
The same issue happens when using the guide-me in a new system.
Once the host is selected for the new local cluster, everything is disabled,
and a meaningless "configure later" button to exit the dialog.
So I'd recommend to close the dialog after host selection happens in this
scenario.
Comment 2 Einav Cohen 2012-08-23 07:13:03 EDT
the "guide me" for local cluster is the only one with potential to contain no possible additional actions: Once a local cluster has a host, you cannot add more hosts to it, therefore there is no action available via the "guide me" dialog.

[in other "guide-me"s, there is always something that can be done: in a regular cluster, you can always add another host, in DC guide-me you can always add another SD, in VM guide-me you can always add another disk/nic, etc.]

need to consult graphic designer in order to tweak the "guide-me" dialog for that special case (e.g. put a comment of "nothing more to configure", put "close" button instead of "configure later" button, etc.)
Comment 3 Barak 2012-08-30 11:39:32 EDT
Einav - please provide answer from the graphic designer
Comment 4 Einav Cohen 2012-08-31 03:54:37 EDT
answer from graphic designer:
If the entity is fully configured and there is nothing else to do with it (e.g. "guide me" for local-cluster that already has Hosts in it), simply show a regular, simple dialog (like a CanDoAction/Error dialog, only with no Error texts or icons...) with text phrased like the following:
"The Cluster is fully configured and ready for use."
Dialog should contain only an "OK" button.
Comment 5 Alexey Chub 2012-10-02 07:20:03 EDT
Change-Id: I594e6721ea114560784152dcdd5d85910f50b34e
Comment 6 Oded Ramraz 2012-10-10 04:50:40 EDT
Guide me button is still available for local storage DC / Cluster. 
Tested with si20
Comment 7 Alexey Chub 2012-10-16 09:41:16 EDT
Change-Id: I16d72904dfebe8fa0a29065e587c829998da782f
http://gerrit.ovirt.org/#/c/8435/
Comment 8 Alexey Chub 2012-10-28 06:26:00 EDT
Relates to this issue:
Change-Id: Idd623481d0eb77bfbaa1e8b3eec8b445020711c8
Comment 9 Yair Zaslavsky 2012-10-28 10:17:10 EDT
Merged -

60000cbfe5b06ea199c9d346a51c14a44a384a70

And

aee29f7e001b4e05642255c08187fc8cf36be95
Comment 10 Jiri Belka 2012-11-08 09:38:21 EST
OK,

- tested with SI24
- after adding a host to 'Local Storage' DC the 'Guide Me' shows 'The Cluster is fully configured and ready for use.' as clarified in comment #4.

Note You need to log in before you can comment on or make changes to this bug.